Album: Omegalodon
Date: July 14, 2012
Date Added: July 08, 2025
Artists:
- rj lake
Cover Artists:
- rj lake
Banner Artists:
- rj lake
Cover Art File Extension: png
Banner File Extension: png
URLs:
- https://spellmynamewithabang.bandcamp.com/album/omegalodon
Color: '#66c5f0'
Groups:
- rj lake
- Beyond
Commentary: |-
    <i>rj lake:</i>
    this is: the official soundtrack for omegalodon
    
    a minimassively multiplayer monster movie video game designed by alex allen
    
    published by north of earth ltd. for pc and mac
    
    buy it here: http://desura.com/games/omegalodon
    
    omegalodon is (copyright symbol) (trademark) north of earth ltd.
---
Track: Theme of Giant Shark
Duration: 2:21
URLs:
- https://spellmynamewithabang.bandcamp.com/track/theme-of-giant-shark
Commentary: |-
    <i>rj lake:</i> ([Bandcamp about blurb](https://spellmynamewithabang.bandcamp.com/track/theme-of-giant-shark))
    stomp stomp.
---
Track: Robots Move Like Weird Ants
Duration: 4:02
URLs:
- https://spellmynamewithabang.bandcamp.com/track/robots-move-like-weird-ants
---
Track: Cherry Blossom Monster Movie
Duration: 3:32
URLs:
- https://spellmynamewithabang.bandcamp.com/track/cherry-blossom-monster-movie
---
Track: Single-Celled Orgasm
Duration: 4:44
URLs:
- https://spellmynamewithabang.bandcamp.com/track/single-celled-orgasm
---
Track: Scientific Method
Duration: 3:12
URLs:
- https://spellmynamewithabang.bandcamp.com/track/scientific-method
---
Track: Captain of a Ship in a Bottle
Duration: 3:07
URLs:
- https://spellmynamewithabang.bandcamp.com/track/captain-of-a-ship-in-a-bottle
---
Track: Laser Missile Fireball Powerclaw
Duration: 3:48
URLs:
- https://spellmynamewithabang.bandcamp.com/track/laser-missile-fireball-powerclaw
---
Track: Scenes from a Demonstration of Heroics
Duration: 3:28
URLs:
- https://spellmynamewithabang.bandcamp.com/track/scenes-from-a-demonstration-of-heroics
---
Track: Omegalosong
Duration: 3:57
URLs:
- https://spellmynamewithabang.bandcamp.com/track/omegalosong
Lyrics: |-
    You,
    You are a giant shark
    You are a mutant shark
    A giant, mutant shark
    
    And your
    Tattoo's impossible,
    It's an anomaly
    There is no needle big enough
    
    (Then suddenly)
    Oh what's that, where did that come from
    Don't look back, too late to do that
    Blow that up, knock down that building
    I'm sure that they've escaped, god willing
    Giant bomb, be a survivor
    Soldiers wondering, "what's with that blue thing?"
    Suddenly we're in a japanese movie
    
    And i don't know where me or you belong
    As the apocalypse is ringing out its song
    And i'll be singing cautiously along
    All the way from alpha to omegalodon
    
    You
    You are a giant shark
    You have two feet and legs
    Seriously, what's up with that?
    
    And yeah
    This song is kinda dumb
    But what did you expect?
    It's not like any of this is real at all
    
    Fences up, offenses lowered
    Don't give up, not till it's over
    Who are you, what's with your story
    Never mind, turns out it's boring
    And here i am, watching and waiting
    Wondering if this is the right thing
    If they blow up, will that really help you?
    Who can we trust if everyone's lied to?
    
    And i don't know where me or you belong
    As the apocalypse is ringing out its song
    And i'll be singing cautiously along
    All the way from alpha to omegalodon
